{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
  };
  outputs = { nixpkgs, ... }: {
    colmena = {
      meta = {
        nixpkgs = import nixpkgs {
          system = "x86_64-linux";
          overlays = [ (final: prev: import ./packages final prev) ];
        };
      };

      defaults = { config, lib, name, ... }: {
        imports = [
          (./. + "/hosts/${name}/configuration.nix")
          ./modules
          ./common
        ];

        deployment.targetUser = null;
      };

      nixdeploy = {...}: {
        deployment.targetHost = "nixdeploy.bula22.de";
        deployment.allowLocalDeployment = true;
      };

      pre-router = { config, pkgs, ... }: {
        deployment.targetHost = "lightbuffet.entr0py.cloud";
        deployment.keys = {

        };
      };

      pre-yate-n0emis = { config, pkgs, ... }: {
        deployment.targetHost = "2001:470:7694::5e5";
      };
    };
  };
}
