{ config, pkgs, ...}:

{
  services.kea.dhcp4 = {
    enable = true;
    settings = {
      interfaces-config = {
        interfaces = [ "ens19"];
      };
      lease-database = {
        name = "/var/lib/kea/dhcp4.leases";
        persist = true;
        type = "memfile";
      };
      subnet4 = [
        # Heimnetz
        {
          subnet = "10.42.10.1/24";
          pools = [
            {
              pool = "10.42.10.50 - 10.42.10.240";
            }
          ];
          option-data = [
            {
              name = "routers";
              data = "10.42.10.1";
            }
            {
              name = "domain-name-servers";
              data = "10.42.10.1";
            }
            {
              name = "domain-name";
              data = "bula.entr0py.cloud";
            }
          ];
        }
      ];
    };
  };
}