{ config, pkgs, ... }:

{
  imports =
    [ # Include the results of the hardware scan.
      ./hardware-configuration.nix
    ];

  # Use the GRUB 2 boot loader.
  boot.loader.grub.enable = true;
  boot.loader.grub.version = 2;
  boot.loader.grub.device = "/dev/sda";

  networking.hostName = "pre-yate-n0emis";

  networking.useNetworkd = true;
  systemd.network = {
    links."10-eth0" = {
      matchConfig.MACAddress = "4a:a6:0d:b9:3b:82";
      linkConfig.Name = "eth0";
    };
    networks."10-eth0" = {
      matchConfig = {
        Name = "eth0";
      };
      DHCP = "yes";
    };
  };

  # This value determines the NixOS release from which the default
  # settings for stateful data, like file locations and database versions
  # on your system were taken. It‘s perfectly fine and recommended to leave
  # this value at the release version of the first install of this system.
  # Before changing this value read the documentation for this option
  # (e.g. man configuration.nix or on https://nixos.org/nixos/options.html).
  system.stateVersion = "22.05"; # Did you read the comment?

}
